@echo off
set copycmd=/Y
cd /d "%~dp0"
cd bat

set folder=C:\Users\Public\Surfcam\ToolLibrary
set tempfile=%temp%\ToolEdit.tmp

tasklist /svc > %tempfile%
for /f %%a in (%tempfile%) do if /i "%%a"=="surfcam.exe" wrun msgbox exclamation ok defbutton1 "Virhe" "Sammuta Surfcam ennen kuin jatkat."

if not exist "%folder%\*.*" md "%folder%"
if not exist "%folder%\*.*" wrun msgbox exclamation ok defbutton1 "Virhe" "Suomenkielisten ty”kalujen asennus Surfcamiin ep„onnistui koska ty”kalukirjastokansiota %folder% ei voitu luoda." & goto :eof

copy "..\ToolLibrary" "%folder%"

fc /b "..\ToolLibrary\*.*" "%folder%\*.*" >nul
if %errorlevel% neq 0 wrun msgbox exclamation ok defbutton1 "Virhe" "Suomenkielisten ty”kalujen asennus Surfcamiin ep„onnistui." & goto :eof
call FindDatabase.bat
wrun msgbox exclamation ok defbutton1 "Surfcam suomenkielisten ty”kalujen asennus" "Suomenkielisten ty”kalujen asennus Surfcamiin suoritettu."
